
include(xProject)

#Fix caching issue when calling CMake again
unset(DIM_LIBRARIES CACHE)
unset(DIM_INCLUDE_DIRS CACHE)

find_library(DIM_LIBRARIES dim)
find_path(DIM_INCLUDE_DIRS dim.hxx PATH_SUFFIXES dim)

if(NOT DIM_LIBRARIES OR NOT DIM_INCLUDE_DIRS)

xProject_Add(DIM
    GIT_SUBMODULE
    CMAKE_ARGS -DBUILD_SHARED_LIBS=OFF -DCMAKE_INSTALL_PREFIX=
        -DJDIM=OFF
        -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}
    CMAKE_CACHE_ARGS "-DEXT_CACHE:path=${CMAKE_BINARY_DIR}"
    INSTALL_COMMAND $(MAKE) install "DESTDIR=${CMAKE_BINARY_DIR}/instroot"
    LIBRARIES "${CMAKE_BINARY_DIR}/instroot/${CMAKE_INSTALL_LIBDIR}/libdim.a"
    INCLUDE_DIRS "${CMAKE_BINARY_DIR}/instroot/${CMAKE_INSTALL_INCLUDEDIR}/dim")

else()

add_custom_target(DIM)

endif()

list(APPEND DIM_LIBRARIES "pthread")
